Kerbal Space Program - Feedback #7358

Last stage is ambiguous - it's not clear if it contains staged or unstaged parts.
03/13/2016 06:01 PM - Kasuha

Status: Updated

Severity: Low

Assignee:

Category: Controls and Ul

Target version:

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

This happens every once in a while - | switch to a ship and | am unsure what will happen after | press Space because it is never clear
whether what is in bottom stage is ready to be staged or if it only contains already staged parts.

One might think that it's clear - if engines in it have fuel gauges on them, it's spent stage and if they don't it's the next stage, right?
Wrong. The game allows activating and deactivating engines regardless whether they were or weren't staged using right-click menus
and action groups. And it's good practice to deactivate engines e.g. when docking to an orbital station. Also, xenon engines don't
show fuel gauge.

Return to last quicksave is not always a good option either, there might be a lot of time since one was made, or the player may be
playing on hard difficulty. The game shouldn't require me to make a quicksave because I'm not sure what will happen after | stage.

If you don't believe, | encourage you to go and play with the two attached quicksaves and e.g. try to deorbit the ship in them,
pretending you're an unsuspecting player.

All it really needs is a clear visual cue - for instance a different color used for the "spent" stage, such as in the second attached
screenshot.

History

#1 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/22/2019 12:20 AM - abc
- Status changed from Needs Clarification to Updated
- Version changed from 1.0.5t0 1.7.3

- Expansion Core Game added

| agree. | have been confused by this a number of times. | also don't see what could possibly need clarification about this request.

It looks like it is possible to move already activated stages or add new stages below them, however the previously activated stage will not be activated
again if it gets to the bottom of the stack. It should be obvious in any circumstance what will happen if you push the space bar.
